Subject: Re: [PATCH net-next 0/3] net: stmmac: Convert to phylink

From: Andrew Lunn <[email-masked]>
Date: Mon, 22 Jul 2019 15:40:23 +0200

On Mon, Jul 22, 2019 at 01:28:51PM +0000, Jose Abreu wrote:
> From: Ondřej Jirman <[email-masked]>
> Date: Jul/22/2019, 13:42:40 (UTC+00:00)
> 
> > Hello Jose,
> > 
> > On Tue, Jun 11, 2019 at 05:18:44PM +0200, Jose Abreu wrote:
> > > [ Hope this diff looks better (generated with --minimal) ]
> > > 
> > > This converts stmmac to use phylink. Besides the code redution this will
> > > allow to gain more flexibility.
> > 
> > I'm testing 5.3-rc1 and on Orange Pi 3 (uses stmmac-sun8i.c glue) compared to
> > 5.2 it fails to detect 1000Mbps link and the driver negotiates just a 10Mbps speed.
> > 
> > After going through stmmac patches since 5.2, I think it may be realted to this
> > series, but I'm not completely sure. You'll probably have a better understanding
> > of the changes. Do you have an idea what might be wrong? Please, see some logs
> > below.
> 
> Probably due to:
> 5b0d7d7da64b ("net: stmmac: Add the missing speeds that XGMAC supports")
> 
> Can you try attached patch ?
> 

Hi Jose

Does this mean that all stmmac variants support 1G? There are none
which just support Fast Ethernet?

I'm also not sure the change fits the problem. Why did it not
negotiate 100FULL rather than 10Half? You are only moving the 1G
speeds around, so 100 speeds should of been advertised and selected.

      Thanks
	Andrew